GDB (xrefs)

Public Attributes | List of all members
catch_syscall_inferior_data Struct Reference

## Public Attributes
int | any_syscall_count
std::vector< int > | syscalls_counts
int | total_syscalls_count

## Detailed Description

Definition at line 47 of file break-catch-syscall.c.

## Member Data Documentation

## ◆ any_syscall_count

int catch_syscall_inferior_data::any_syscall_count

Definition at line 54 of file break-catch-syscall.c.

Referenced by clear_syscall_counts(), insert_catch_syscall(), and remove_catch_syscall().

## ◆ syscalls_counts

std::vector<int> catch_syscall_inferior_data::syscalls_counts

Definition at line 57 of file break-catch-syscall.c.

Referenced by clear_syscall_counts(), insert_catch_syscall(), and remove_catch_syscall().

## ◆ total_syscalls_count

int catch_syscall_inferior_data::total_syscalls_count

Definition at line 61 of file break-catch-syscall.c.

Referenced by catch_syscall_enabled(), clear_syscall_counts(), insert_catch_syscall(), and remove_catch_syscall().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/break-catch-syscall.c